Get Otp
Allows user to generate OTP for a given phone number or email address
Path Parameters
Request Body required
- Array [
- ]
- Array [
- ]
AdditionalSetup object
This section will contains additional information.
Possible values: <= 5 characters
Currency in which policy will be purchased.
Possible values: <= 5 characters
Country of the user.
Region (State or Province) of the user.
Language set by user on the consumer app
User IP address.
User's browser details.
userGeoLocation object
Return a JSON object with latitude and longitude properties to point to location of user.
Latitude in Decimal degrees.
Longitude in Decimal degrees.
distributor object required
This section will give details of intermediary (Broker, corporate Agent or Bank acting as intermediary)
Possible values: <= 20 characters
Distributor ID assign to each consumer by 1SB
Possible values: <= 30 characters
Agent code. Eg. PoSP code or SP code provided by insurance company.
Possible values: <= 20 characters, [Online, Others]
This is used by insurance companies to identify sales channel.
Possible values: <= 20 characters, [B2B, B2C]
Indicates if the transaction is B2B or B2C.
Possible values: <= 20 characters, [POSP, SP, BQP]
Indicates if the agent type is POSP ,SP or BQP.
varFields object[]
Possible values: <= 50 characters
Additional fields for distributor section
Possible values: <= 50 characters
Value of additional fields
Possible values: <= 15 characters
The code to identify for which insurance company this proposal belongs to.
Possible values: <= 100 characters
Proposal Applcation No.
Possible values: <= 100 characters
Policy number.
Possible values: <= 100 characters
Quotation Number.
UI tracking Reference Number .
OTPDetails object
Possible values: <= 10 characters
Mobile number of Proposer.
Possible values: <= 100 characters
Email ID of Proposer.
varFields object[]
varField array hold any additional data related to OTP Details
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
- 200
Successful Response
Schema
- Array [
- ]
Standard Date and Time.
OTP Transaction ID from manufacturer or If 1SB is generating OTP then a transaction Id should be generated. This will be used for tracking and validating OTP.
UI tracking Reference Number .
varFields object[]
varField array hold any additional data related to Distributor
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
{
"ExpiryTime": "2022-07-28 06:33:09.047420+00:00",
"OTPTransactionId": "6b9142ac-27fc-45f9-ac68-91510413fd75",
"UITrackingRefNo": "b9c61951-4d08-46f5-a0e1-af9a5ef0574b",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
}